package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.internal.util.DownloadUtils;
import cn.unitid.realidentity.sdk.request.AppBillRequest;
import cn.unitid.realidentity.sdk.response.AppBillResponse;

import java.io.File;

/**
 * 查询应用日账单
 */
public class AppBill {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        try {
            //1.原客户端
            ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
            //2.调用出错，自动重试客户端
            //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
            AppBillRequest req = new AppBillRequest();
            req.setDayTime("2018-10-22");
            AppBillResponse rsp = apiClient.execute(req);
            //下载
            File download = DownloadUtils.download(rsp.getData().getUrl(), new File("c:/home/cslc"));
            //后续业务处理
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
