package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.CaseDetailRequest;
import cn.unitid.realidentity.sdk.response.CaseDetailResponse;

/**
 * 风险案件详情
 */
public class CaseDetail {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //案件类型:1-执行公告;2-失信公告
        Integer caseType = 1;
        //案件 ID
        String caseId = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        CaseDetailRequest req = new CaseDetailRequest();
        req.setCaseType(caseType);
        req.setCaseId(caseId);

        try {
            CaseDetailResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
