package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.EducationGetStatusRequest;
import cn.unitid.realidentity.sdk.response.EducationGetStatusResponse;

/**
 * 获取学历核验状态
 */
public class EducationGetStatus {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        EducationGetStatusRequest req = new EducationGetStatusRequest();
        req.setToken("XXX");

        try {
            EducationGetStatusResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }


}
