package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.EntPersonRolesRequest;
import cn.unitid.realidentity.sdk.response.EntPersonRolesResponse;
import com.alibaba.fastjson.JSON;

/**
 * 人员对外投资和任职查询请求参数
 */
public class EntPersonRoles {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //企业名称
        String entName = "XXX";
        //人员名称
        String personName = "XXX";


        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);

        EntPersonRolesRequest req = new EntPersonRolesRequest();
        req.setEntName(entName);
        req.setPersonName(personName);

        try {
            EntPersonRolesResponse res = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }

    }
}
