package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.PersonalLimitConsumeRequest;
import cn.unitid.realidentity.sdk.response.PersonalLimitConsumeResponse;

/**
 * 个人限制高消费查询
 */
public class PersonalLimitConsume {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //身份证姓名，注意不要有空格
        String realname = "XXX";
        //身份证号码是18位的，最后一位如果是大写X转换为x，注意不要有空格
        String idcard = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        PersonalLimitConsumeRequest req = new PersonalLimitConsumeRequest();
        req.setRealname(realname);
        req.setIdcard(idcard);

        // 配置此参数时,会对请求参数中的realname、idcard做加密
//        req.setEncMethod(EncryptMethod.SM4);

        try {
            PersonalLimitConsumeResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
