package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.SmsCaptchaVerifyRequest;
import cn.unitid.realidentity.sdk.response.SmsCaptchaVerifyResponse;

/**
 * 短信校验码校验
 */
public class SmsCaptchaVerify {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //手机号
        String mobile = "XXX";
        //业务码
        String code = "XXX";
        //验证码
        String captcha = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        SmsCaptchaVerifyRequest req = new SmsCaptchaVerifyRequest();
        req.setMobile(mobile);
        req.setCode(code);
        req.setCaptcha(captcha);

        // 配置此参数时,会对请求参数中的realname、idcard做加密
//        req.setEncMethod(EncryptMethod.SM4);
        try {
            SmsCaptchaVerifyResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
