package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.constant.EncryptMethod;
import cn.unitid.realidentity.sdk.request.VerifyTokenGetRequset;
import cn.unitid.realidentity.sdk.response.VerifyTokenGetResponse;
import com.alibaba.fastjson.JSONObject;

/**
 * 认证会话获取
 */
public class VerifyTokenGet {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        VerifyTokenGetRequset req = new VerifyTokenGetRequset();
        //随机数，唯一
        req.setTicketId("XXX");
        //业务场景
        req.setBizScene(VerifyTokenGetRequset.BizScene.LIVENESS_H5);

        //扩展参数
        JSONObject json = new JSONObject();
        //认证成功回调地址
        json.put("callback","XXX");
        req.setAttr(json.toJSONString());

        //  配置此参数时,会对请求参数 attr.realname、attr.idcard 做加密
//        req.setEncMethod(EncryptMethod.SM4);
        try {
            VerifyTokenGetResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
