package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.VerifyTokenStatusRequset;
import cn.unitid.realidentity.sdk.response.VerifyTokenStatusResponse;

/**
 * 认证会话状态
 */
public class VerifyTokenStatus {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        VerifyTokenStatusRequset req = new VerifyTokenStatusRequset();
        req.setTicketId("XXX");
        try {
            VerifyTokenStatusResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
