package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.DishonestyExecutedRequest;
import cn.unitid.realidentity.sdk.response.DishonestyExecutedResponse;

/**
 * 失信被执行人查询
 */
public class DishonestyExecuted {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //类型 1-个人;2-企业
        Integer type = 2;
        //姓名/企业名称
        String name = "XXX";
        //身份证号/企业统一社会信用代码
        String idNumber = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        DishonestyExecutedRequest req = new DishonestyExecutedRequest();
        req.setType(type);
        req.setName(name);
        req.setIdNumber(idNumber);

        try {
            DishonestyExecutedResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
