package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.EntAuthReceivepayVerifyRequest;
import cn.unitid.realidentity.sdk.response.EntAuthReceivepayVerifyResponse;
import com.alibaba.fastjson.JSON;


public class EntAuthReceivepayVerify {

    public static void main(String[] args) {

        //提供的url
        //String url = "http://iv.unitid.cn/api/router/rest";
        String url = "http://172.16.3.228:8000/api/router/rest";
        //您的appKey
        String appkey = "vN222NWK1OMdvlWW";
        //您的appSecret
        String secretKey = "5TjRUrNdYMBIZr6AJUyYI8pwIUeU1WMF";


        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        EntAuthReceivepayVerifyRequest req = new EntAuthReceivepayVerifyRequest();

        //token
        req.setToken("xxx");

        //打款金额
        req.setAmount("0.66");

        req.setPurpose("企业认证测试");

        try {
            EntAuthReceivepayVerifyResponse response = apiClient.execute(req);
            //后续业务处理
            System.out.println(JSON.toJSONString(response));
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }



}
